#summary stats
stat <- read.csv("data/summarystat.csv", stringsAsFactors=FALSE)

stat.output <- data.frame(varname = c(), all = c(), ri = c())
for(i in 1:NROW(stat)){
  avg_all <- ifelse(i<3, prettyNum(stat[i,"all_mean"],big.mark=",",scientific=FALSE) , sprintf("%2.2f",stat[i,"all_mean"]) )
  avg_ri <-  ifelse(i<3, prettyNum(stat[i,"ri_mean"],big.mark=",",scientific=FALSE) , sprintf("%2.2f",stat[i,"ri_mean"]) )

    if( !is.na(stat[i,"ri_sd"]) ){
    stat.output <- rbind(stat.output, data.frame( varname = c(stat[i,"varname"], stat[i,"varname"]),
                                                  all = c(avg_all, sprintf("(%2.2f)",stat[i,"all_sd"])),
                                                  ri = c(avg_ri, sprintf("(%2.2f)",stat[i,"ri_sd"]))
                                                  ))
  } else {
    stat.output <- rbind(stat.output, data.frame( varname = c(stat[i,"varname"]),
                                                  all = avg_all,
                                                  ri = avg_ri
    ))
  }
}


kable(stat.output, "latex", booktabs=T, caption="Summary Statistics",
      col.names = c("Variable","All Sample","Rhode Island")) %>%
  kable_styling( latex_options = c(), font_size = 10) %>%
  group_rows("Macroeconomic Variables", 19, 22) %>%
  collapse_rows(columns = 1, latex_hline = "major", valign = "middle") %>%
  row_spec(0, bold = T) %>%
  footnote(general = "For each variable, the mean and standard deviation (inside parentheses) are reported.\\
Source: proprietary data on payday loan transactions issued by several major national lenders, 2009-2013. 
           The data for Personal Income and Unemployment Rate are obtained from BEA and BLS, respectively." ,threeparttable = T
  )


